<template>
  <v-container class="fill-height align-start justify-center">
    <template v-if="favorite.hasItems">
      <h1 class="font-weight-medium display-1 py-2 mt-2">
        My Favorites
      </h1>
      <v-row>
        <v-col v-for="item in favorite.items" :key="item.id" cols="12" md="4">
          <property-card :value="item" vertical style="min-height: 470px" />
        </v-col>
      </v-row>
      <app-comparison />
    </template>
    <v-row
      v-else
      justify="center"
      align="center"
      class="flex-column fill-height"
    >
      <h1 class="font-weight-medium display-1 pa-0 ma-0">
        Save Favorites and Stay Organized
      </h1>
      <p class="body-1 my-5 py-5 text-center">
        Save and share your short list, add notes and invite friends and family
        to collaborate.<br>
        Start by clicking the <v-icon>{{ icons.mdiHeart }}</v-icon>
        button on any listing.
      </p>
      <v-btn nuxt link to="/apartments/texas/dallas" color="accent" depressed>
        Start Searching and Saving
      </v-btn>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import { mdiHeart, mdiClose } from '@mdi/js'
import { defineComponent } from '@vue/composition-api'
import { useFavorite } from '@/hooks/utils'
import PropertyCard from '@/components/PropertyCard.vue'
import AppComparison from '@/components/AppComparison.vue'

const icons = { mdiHeart, mdiClose }

export default defineComponent({
  components: { PropertyCard, AppComparison },
  setup (_) {
    const favorite = useFavorite()
    return {
      favorite,
      icons
    }
  }
})
</script>
